augment.smooth.spline {broom} | R Documentation

## Tidy a(n) smooth.spline object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'smooth.spline'
    augment(x, data = x$data, ...)

### Arguments

`x` | A `smooth.spline` object returned from `stats::smooth.spline()`.

`data`

A `data.frame()` or `tibble::tibble()` containing the original data that was used to produce the object `x`. Defaults to `stats::model.frame(x)` so that `augment(my_fit)` returns the augmented original data. Do not pass new data to the `data` argument. Augment will report information such as influence and cooks distance for data passed to the `data` argument. These measures are only defined for the original training data.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A `tibble::tibble()` containing the data passed to `augment`, and additional columns:

`.fitted` | The predicted response for that observation.
`.resid` | The residual for a particular point. Present only when data has been passed to `augment` via the `data` argument.

### See Also

`augment()`, `stats::smooth.spline()`, `stats::predict.smooth.spline()`

Other smoothing spline tidiers: `glance.smooth.spline`

### Examples

    spl <- smooth.spline(mtcars$wt, mtcars$mpg, df = 4)
    augment(spl, mtcars)
    augment(spl)  # calls original columns x and y

    library(ggplot2)
    ggplot(augment(spl, mtcars), aes(wt, mpg)) +
        geom_point() + geom_line(aes(y = .fitted))

[Package broom version 0.5.2 Index]